@charset "UTF-8";

/* =========================
  RESET
========================= */

*{
  margin:0;
  padding:0;
  box-sizing:border-box;
}

body{
  font-family:'Zen Maru Gothic','Hiragino Maru Gothic ProN','Yu Gothic',  sans-serif;
  background:#fdfbfd;
  color:#222;
  line-height:1.9;
  overflow-x:hidden;
  width:100%;

}
html {
  overflow-x:hidden;
  width:100%;
}
a{
  text-decoration:none;
  color:inherit;
}

img{
  width:100%;
  display:block;
}


/* パソコンで見たときは"pc"のclassがついた画像が表示される */
.pc { display: block !important; }
.sp { display: none !important; }
 


@media screen and (max-width:900px){

.pc { 
  display: none !important; 
}
.sp { display: block !important; }
}
/* =========================
HEADER
========================= */

header{
  width:100%;
  background:#fff;
  padding:18px 40px;
  display:flex;
  align-items:center;
  justify-content:space-between;
  border-bottom:1px solid #ddd;
  position:relative;
  z-index:9999;
  overflow:hidden;

}
.logo{
  font-size:34px;
  font-weight:bold;
  line-height:1.1;
}

.logo span{
  display:block;
  font-size:14px;
  letter-spacing:3px;
  margin-top:6px;
}

nav{
  display:flex;
  gap:24px;
  font-size:13px;
  color:#444;
}

.menu{
  font-size:30px;
  cursor:pointer;
}

/* =========================
  LOGO
========================= */

.logo-area{
  flex-shrink:0;
}

.logo-ja{
  font-size:34px;
  font-weight:bold;
  line-height:1;
  color:#222;
}

.logo-en{
  font-size:13px;
  letter-spacing:4px;
  margin-top:5px;
  color:#444;
}

/* =========================
  PC MENU
========================= */

.pc-nav{
  margin-left:auto;
  margin-right:40px;
  min-width:0;

}

.pc-nav ul{
  display:flex;
  gap:20px;
  list-style:none;
  flex-wrap:wrap;
  overflow:hidden;

}
.pc-nav li a{
  font-size:13px;
  color:#333;
  transition:.3s;
}

.pc-nav li a:hover{
  color:#29c8d0;
}

/* =========================
  HAMBURGER
========================= */

.hamburger{
  width:40px;
  min-width:40px;
  height:32px;
  position:relative;
  cursor:pointer;
  flex-shrink:0;
}

.hamburger span{
  position:absolute;
  width:100%;
  height:3px;
  background:#888;
  left:0;
  transition:.4s;
  border-radius:10px;
}

/* line position */

.hamburger span:nth-child(1){
  top:0;
}

.hamburger span:nth-child(2){
  top:14px;
}

.hamburger span:nth-child(3){
  bottom:0;
}

/* ACTIVE */

.hamburger.active span:nth-child(1){
  transform:rotate(45deg);
  top:14px;
}

.hamburger.active span:nth-child(2){
  opacity:0;
}

.hamburger.active span:nth-child(3){
  transform:rotate(-45deg);
  bottom:15px;
}

/* =========================
  MOBILE MENU
========================= */
.mobile-menu{
  position:fixed;
  top:80px;
  right:0;
  width:320px;
  height:calc(100vh - 80px);
  background:#fff;
  border-left:1px solid #ddd;
  display:none;
  overflow-y:auto;
  z-index:9999;
  box-shadow:0 10px 20px rgba(0,0,0,.08);
}

.mobile-menu.active{
  display:block;
}

.mobile-menu ul{
  list-style:none;
}

.mobile-menu li{
  border-bottom:1px solid #eee;
}

.mobile-menu li a{
  display:block;
  padding:18px 24px;
  color:#333;
  font-size:15px;
  transition:.3s;
}

.mobile-menu li a:hover{
  background:#f8f8f8;
  color:#29c8d0;
}

.logo img {
  width: 100%;
  height: auto;
}
/* =========================
  RESPONSIVE
========================= */

@media(max-width:1200px){

.pc-nav{
  display:none !important;
  min-width:0;
}

.pc-nav ul{
  overflow:hidden;
}
}

@media(max-width:768px){

header{
  padding:12px 15px;
  width:100%;
  max-width:100%;
}

.logo-ja{
  font-size:28px;
}

.logo-en{
  font-size:11px;
  letter-spacing:3px;
}
.logo img {
  width: 140px;
  height: auto;
}
.mobile-menu{
  width:100vw;
  top:70px;
  height:calc(100vh - 70px);

}

}
/* =========================
HERO
========================= */
.hero{
  position:relative;
  height:650px;
  overflow:hidden;
}


.hero-content{
  position:relative;
  z-index:2;
  max-width:1200px;
  margin:auto;
  height:100%;
  display:flex;
  align-items:center;
  justify-content:center;
  flex-direction:column;
  text-align:center;
  color:#fff;
}

.hero h1{
  font-size: clamp(1.5rem,4vw,3rem);
  letter-spacing:2px;
  margin-bottom:10px;
  font-weight:300;
}

@media screen and (max-width:900px){

.hero{
  height:auto;
}
.hero img{
  width:100%;
  height:auto;
  display:block;
}
}


/* =========================
MAIN
========================= */

.container{
  max-width:1200px;
  margin:70px auto;
  display:grid;
  grid-template-columns:1fr 300px;
  gap:60px;
  padding:0 20px;
}

.main-content{
  position:relative;
  isolation:isolate;
}
.main-content h1{
  font-size:clamp(2rem, 8vw, 58px);
  line-height:1.5;
  font-family:serif;
  margin-bottom:40px;
  font-weight:500;
}

.main-content h2{
  font-size:36px;
  margin-bottom:25px;
  font-weight:600;
}

.main-content p{
  margin-bottom:30px;
  font-size:18px;
}

.point-list{
  margin:40px 0;
  padding-left:20px;
}

.point-list li{
  margin-bottom:14px;
  font-size:18px;
}


/* 左上 */

.main-content::before{
  content:"";
  position:absolute;
  left:-420px;
  top:150px;
  width:550px;
  height:550px;
  background-image:url(img/eb9c6c22-2b97-4eee-8be4-6372edc7f9c0.png);
  background-size:contain;
  background-repeat:no-repeat;
  opacity:.45;
  z-index:-1;
}


/* 右下 */

.main-content::after{
  content:"";
  position:absolute;
  right:-350px;
  bottom:-200px;
  width:600px;
  height:600px;
  background-image:url(img/eb9c6c22-2b97-4eee-8be4-6372edc7f9c0.png);
  background-size:contain;
  background-repeat:no-repeat;
  opacity:.38;
  z-index:-1;
}

@media screen and (max-width:900px){

  .main-content::before,
  .main-content::after{
    display:none;
  }

}
@media screen and (max-width:900px){

.container{
  grid-template-columns:1fr;
  margin:40px auto;
  padding:0 25px;
}

.main-content h1 span {
  display: inline-block;
}
.main-content h2{
  font-size:25px;
}

.main-content p,
.point-list li{
  font-size:16px;
}
.point-illust {
  margin: 0 auto;
}
}


/* =========================
SIDEBAR
========================= */

.sidebar{
  display:flex;
  flex-direction:column;
  gap:18px;
}

.pink-box{
  background:#f78eb2;
  color:#fff;
  padding:24px;
  text-align:center;
  font-size:28px;
  font-weight:bold;
  line-height:1.5;
}

.side-menu{
  background:#fff;
  padding:30px;
}

.side-menu ul{
  list-style:none;
}

.side-menu li{
  padding:12px 0;
  border-bottom:1px solid #eee;
  font-size:16px;
}

.side-button{
  background:#f78eb2;
  color:#fff;
  padding:20px;
  text-align:center;
  font-weight:bold;
  transition:.3s;
  display:block;
  width:100%;
  line-height:1.5;
  border-radius:4px;
  position:relative;
  isolation:isolate;
  z-index: 0;

}
.side-button:last-child {
    background:white;
      padding:0px;


}
@media screen and (max-width:900px){

.side-button{
  font-size:16px;
  padding:18px 15px;
}

}
.side-button:hover{
  opacity:.8;
}

#lead .flex {
  display: flex;
  justify-content: space-between;
}

#lead img {
  width: 200px;
  height: auto;
}
@media screen and (max-width:900px){
  
#lead .flex {
  flex-direction: column;
}
#lead .box{
  flex:1;
  min-width:0;
}
#lead img{
  max-width:100%;
  height:auto;
}

.sidebar{
  margin-top:40px;
}
}
/* =========================
アコーディオン
========================= */



/* 全体 */

.menu_area{
padding:80px 20px;
margin-top: 100px;

}

.menu_flex{
max-width:1200px;
margin:auto;

display:flex;
gap:40px;
justify-content:center;
align-items:flex-start;
}
@media screen and (max-width:900px){

.menu_flex{
flex-direction:column;
}
.menu_area{
  padding:80px 20px;
  margin-top:80px;
}
}
/* ボックス */

.menu_box{
width:33%;
}


/* タイトル */

.menu_title{
background:#7ad9df;
font-size:28px;
font-weight:700;
line-height:1.4;
padding:28px 20px;
text-align:center;
cursor:pointer;
position:relative;
transition:.3s;
}


/* hover */

.menu_title:hover{
opacity:.85;
}


/* デフォルト矢印削除 */

.menu_title::-webkit-details-marker{
display:none;
}

.menu_title{
list-style:none;
}


/* 矢印 */

.menu_title::after{

content:"";
position:absolute;
left:50%;
bottom:-25px;
transform:translateX(-50%);
width:0;
height:0;
border-left:18px solid transparent;
border-right:18px solid transparent;
border-top:25px solid #000;
transition:.3s;

}


/* 開閉 */

.menu_inner{
background:#fff;
border:1px solid #222;
margin-top:25px;
overflow:hidden;
max-height:0;
transition:max-height .5s ease;
text-align: center;
}


/* 開いた時 */

.menu_box[open] .menu_inner{
max-height:1000px;
}


/* 矢印回転 */

.menu_box[open] .menu_title::after{
transform:translateX(-50%) rotate(180deg);
}


/* リスト */

.menu_inner ul{
padding:35px 25px;
}

.menu_inner li{
margin-bottom:24px;
  list-style: none;

}

.menu_inner li:last-child{
margin-bottom:0;
}

.menu_inner a{

font-size:27px;
font-weight:700;
line-height:1.5;

transition:.3s;
}

.menu_inner a:hover{
opacity:.6;
}

/* 写真入りタイトル */

.menu_title_img{
display:flex;
align-items:center;
justify-content:space-between;
gap:15px;
text-align:left;
}


/* 文字 */

.menu_title_img .menu_text{
display:block;
flex:1;
}


/* 写真 */

.menu_title_img img{
width:120px;
height:auto;
display:block;
border-radius:10px;
flex-shrink:0;
}
@media screen and (max-width:768px){

.menu_title_img{
text-align:center;
}

.menu_title_img img{
width:100px;
}

}
/* スマホ */

@media screen and (max-width:900px){


.menu_box{
width:100%;
}

.menu_title{
font-size:26px;
padding:22px 15px;
}

.menu_inner a{
font-size:22px;
}

}



.container2{
  max-width:1200px;
  margin:70px auto;
}
.concept{
  text-align:center;
  font-size:42px;
  margin-bottom:60px;
}
.concept .inner{
  padding:0 20px;
}
@media screen and (max-width:900px){
  .concept .inner h2 span {
    display: inline-block;
  }
}
.top-gallery{
  display:flex;
  justify-content:center;
  gap:40px;
  margin-bottom:120px;
}

.gallery-box{
  width:45%;
}

.gallery-box img{
  border:1px solid #999;
  width: 100%; /* コンテナの幅に合わせる */
  height: 100%; /* コンテナの高さに合わせる */
  object-fit: contain; /* 画像をコンテナ内に収め、アスペクト比を維持する */
}

.gallery-box p{
  margin-top:15px;
  font-size:15px;
}
.concept-flex{
  display:flex;
  justify-content: center;
  gap:60px;
  align-items:flex-start;
}

.concept-text{
  width:45%;
  font-size:18px;
  text-align: left;
}
.concept_p {
  margin-top: 30px;
}
.concept-side{
  width:30%;
  position:relative;
}

.concept-side p {
  font-size: 16px;
}
.side_photo {
  margin-top: 30px;
}


@media screen and (max-width:900px){
  .concept-text p {
    margin-left: 30px;
  }
}


/* 受講生の声 */

.voice-title{
  text-align:center;
  font-size:48px;
  margin-bottom:60px;
  margin-top: 100px;
}
/* 横並び */
.voice-flex{
  display:flex;
  gap:40px;
}

/* ボックス */
.voice-box{
  width:50%;
  padding:30px;
  min-height:340px;
}

/* 色 */
.voice-box.blue{
  background:#d6f4f6;
}

.voice-box.pink{
  background:#f9dce7;
}

/* タイトル */

.voice-box h3{
  font-size:30px;
  line-height:1.5;
  margin-bottom:30px;
  text-align:left;
}
/* 下段 */

.voice-content{
  display:flex;
  justify-content:space-between;
  align-items:flex-start;
  gap:30px;
}

/* テキスト */
.voice-text{
  flex: 1;
}


.voice-text p{
  font-size:18px;
  line-height:2;
  text-align: left;
}



/* 写真 */

.voice-image{
  width:180px;
   text-align:center;
  flex-shrink:0;
}

.voice-image img{
  width:180px;
  height:180px;
  border-radius:50%;
  object-fit:cover;
  object-position:center top; /* 顔アップ */
  border:3px solid #777;
}

/* 名前 */

.voice-image span{
  display:block;
  margin-top:15px;
  font-size:15px;
  font-weight:bold;
}

.voice-button-wrap{
  text-align:center;
  margin-top:60px;
}

.voice-button{
  display:inline-block;
  background:#79dce3;
  color:#fff;
  padding:18px 45px;
  border-radius:999px;
  font-size:18px;
  font-weight:bold;
}


/* =========================
SP
========================= */

@media screen and (max-width:900px){
.voice-title {
  font-size:clamp(2rem,4vw,3rem);
  margin: 100px 0 20px;
}
/* 横並びを解除 */
.voice-flex{
  flex-direction:column;
  gap:30px;
}

.voice-box{
  width:100%;
padding:25px 20px;
}

/* タイトル */
.voice-box h3{
  text-align:center;
  font-size:26px;
  margin-bottom:25px;
  line-height:1.6;
}

.voice-content{
display:flex;
  flex-direction:column;
  align-items:center;
  gap:20px;
}

/* 写真を上 */
.voice-image{
  width:100%;
  text-align:center;
  order:1;
}


.voice-text{
  text-align:center;
}


.voice-image img{
  width:300px;
  height:220px;
  object-fit:cover;
  object-position:center top;
  border-radius:16px;
}

/* 名前 */
.voice-image span{
  display:block;
  margin-top:12px;
  font-size:15px;
  line-height:1.6;
}

/* テキストを下 */
.voice-text{
  order:2;
  width:100%;
}

.voice-text p{
font-size:18px;
  line-height:2;
  text-align:left;
  margin-left: 30px;
}


}

.cta-area{
  text-align: center;
  margin-top: 100px;
  
}

.cta-button{
  display:inline-block;
  background:#ff8fb0;
  color:#fff;
  font-size:34px;
  font-weight:bold;
  padding:30px 60px;
  line-height:1.6;
}


.sns-box{
width: 32%; /* 3つ並べるため、約3分の1の幅に固定 */
  position: relative;
  background-color: #e0f7fa; /* 元の水色（必要に応じて色コードを調整してください） */
  padding: 20px 10px;        /* 内側の余白 */
  box-sizing: border-box;
  display: flex;
  flex-direction: column;    /* 中身を上から下に並べる */
  align-items: center;       /* 中身を中央寄せにする */
}

.sns-icon{
margin-top: -40px; /* 上に飛び出させる（アイコンのサイズに合わせて調整） */
  margin-bottom: 15px;
  z-index: 10;
}
.sns-icon img {
  width: 80px;  /* アイコンの適切なサイズ */
  height: 80px;
  object-fit: contain;
}

/* ウィジェットがブルーの枠幅に自動で収まるようにする */
.snapwidget-widget {
width: 100%;
  max-width: 100%;
  border: none;
  /* 必要に応じて高さを調整してください（例: height: 300px; など） */
}

/* ボタンを中央寄せにして、少し上の余白をあける場合 */
.button_w {
text-align: center;
  margin-top: 15px; 
  margin-bottom: 15px;}

/* フォローボタンのデザイン例（未設定の場合の参考） */
.button {
display: inline-block;
  padding: 8px 24px;
  background-color: #d93175; /* Instagramっぽいピンク系、またはお好みの色に */
  color: #fff;
  text-decoration: none;
  border-radius: 4px;
}


.banner-grid{
  display:grid;
  grid-template-columns:repeat(3,1fr);
  gap:20px;
}
.section-title {
  font-size: 45px;
  margin-top: 100px;
}
@media screen and (max-width:900px){

.section-title{
  font-size:28px;
}

.top-gallery,
.concept-flex,
.voice-flex,
.sns-flex,
.footer-inner{
  flex-direction:column;
}

.gallery-box,
.concept-text,
.concept-side,
.voice-box,
.sns-box,
.footer-left,
.footer-right{
  width:100%;
}

.voice-box{
  flex-direction:column;
  text-align:center;
}

.voice-text{
  width:100%;
}

.banner-grid{
  grid-template-columns:1fr;
  margin: 0 20px;
}

.cta-button{
  font-size:24px;
  padding:25px 30px;
}

.footer h2{
  font-size:36px;
}

.kanji-bg img {
  width: 80%;
  height: auto;
  margin-left: 20px;
}
.small{
  margin-top:180px;
}

}
/* =========================
FOOTER
========================= */
.footer{
  background: url('img/footerhasu.jpg') no-repeat center/cover;
  padding:80px 0 0 0;
  margin-top:100px;
  overflow:hidden;

}

.footer-inner{
  max-width:1200px;
  margin:0 auto;
  padding:0 20px;

  display:flex;
  justify-content:space-between;
  align-items:flex-start;
  gap:60px;
}
/* 左右 */

.footer-left,
.footer-right{
  flex:1;
  min-width:0;
  position:relative;
}

/* ロゴ */

.footer-left img:first-child{
  width:280px;
  margin-bottom:30px;
}

/* テキスト */

.footer p{
  font-size:18px;
  line-height:2;
  margin-bottom:20px;
}
.footer h3 {
  font-size: 23px;
}
/* Google Map */

.footer iframe{
  width:100%;
  height:260px;
  border:0;
  border-radius:10px;
  margin-top:20px;
}

/* 蓮画像 */

.lotus{
  width:320px;
  max-width:100%;
  margin-top:40px;
  opacity:.95;
}

/* リンク */

.map-link{
  display:block;
}
/* =========================
FOOTER RIGHT
========================= */

.footer-right{
  display:flex;
  flex-direction:column;
  align-items: flex-end;
}


/* 地図画像 */

.map{
  width:100%;
  max-width:400px;
  display:block;
  margin:0 0 25px;
  border:1px solid rgba(255,255,255,.5);
}

/* 説明文 */

.footer-right .right_p{
  width:100%;
  max-width:400px;
  margin-left:auto;
  margin-right:0;
  font-size: 17px;
}

/* GoogleMap */
.footer-right .map-links{
  display:block;
  width:100%;
  max-width:400px;
  border-top:1px solid rgba(255,255,255,.6);
  padding-top:15px;
  margin-bottom: 0;
}

.footer iframe{
  width:400px;
  height:240px;
  display:block;
  border:0;
  border-radius:10px;
}

.footer_a p {
  text-align: center;
  font-size: 14px;
  margin: 0;
}
.flex_a {
  margin: 20px 0;
}
.fontSC {
  padding: 0 10px;

}
@media screen and (max-width:900px){
.footer{
  background:#49dae2;
  padding:80px 0 0 0;
  margin-top:100px;
  overflow:hidden;

}

.footer-right{
  align-items:center;
}

.footer-right p{
  max-width:100%;
}

.map-link{
  max-width:100%;
}

.footer iframe{
  width:100%;
  height:auto;
}
.footer-left h3 span {
  display: inline-block;

}
.footer-left p span {
  display: inline-block;

}

}

/* =========================
SP
========================= */

@media screen and (max-width:900px){

.footer{
  padding:60px 15px;
}

.footer-inner{
  flex-direction:column;
  gap:50px;
}

.footer-left,
.footer-right{
  width:100%;
}

.footer-left img:first-child{
  width:220px;
}

.footer p{
  font-size:14px;
  line-height:1.9;
}

.map{
  max-width:100%;
}

.footer iframe{
  height:220px;
}

.lotus{
  width:220px;
  margin:30px auto 0;
  display:block;
}
.fontSC {
  font-size: 12px;
  padding: 0 5px;
}
}

/*---------------------------------
トップへもどるボタン
---------------------------------*/

.go-top{
  position: fixed;
  bottom: 10px;
  right: 20px;
  z-index: 9999;
}
.go-top a{
  width: 50px;
  height: 50px;
  display: inline-block;
  background: #E94E66;
  border-radius: 50%;
  text-align: center;
  line-height: 50px;
  color: black;
  text-decoration: none;
}
 
.go-top a:hover{
  opacity: 0.8;
}
 
@media screen and (max-width:900px) {
  
.go-top{
  position: fixed;
  z-index: 9999;
  bottom: 10px;
  right: 10px;

}

}


/* --- SNSエリアを強制的に横並びにする設定 --- */

.custom-sns-row {
display: flex !important;
  justify-content: space-between !important;
  /* ↓ flex-start から stretch に変更することで、高さを一番高いボックスに自動で揃えます */
  align-items: stretch !important;  
  width: 100% !important;
  max-width: 1200px;
  margin: 200px auto !important;
  box-sizing: border-box !important;
}

/* 各水色ボックスの幅と高さを固定 */
.custom-sns-row .sns-box {
width: 31%;
  background-color: #e0f7fa !important;
  box-sizing: border-box !important; /* ※前回の記述ミス「border-box: border-box」を修正しました */
  padding: 20px 15px 80px !important; /* ↓ 下側にボタン用の余白（80px）をあらかじめ確保します */
  display: flex !important;
  flex-direction: column !important;
  align-items: center !important;
  position: relative !important;     /* ↓ ボタンを一番下に固定するために必要です */
}

/* アイコンの位置調整 */
.custom-sns-row .sns-icon {
  margin-top: -40px !important;       /* 水色枠の上に半分飛び出させる */
  margin-bottom: 20px !important;
}

.custom-sns-row .sns-icon img {
  width: 80px !important;
  height: 80px !important;
  object-fit: contain !important;
}

/* SnapWidget（Instagramの埋め込み）のサイズ制限 */
.custom-sns-row .snapwidget-widget {
  width: 100% !important;             /* 水色枠の幅いっぱいに広げる */
  height: 250px !important;           /* 高さを指定（好みに合わせて調整してください） */
  border: none !important;
}

/* フォローボタンの調整 */
.custom-sns-row .button_w {
position: absolute !important;     /* ボックス内での絶対位置を指定 */
  bottom: 20px !important;           /* 下から20pxの位置に固定 */
  left: 0 !important;
  width: 100% !important;
  text-align: center !important;
}

.custom-sns-row .button {
  display: inline-block !important;
  padding: 8px 24px !important;
  background-color: #d93175 !important; /* ボタンの色（ピンク） */
  color: #ffffff !important;
  text-decoration: none !important;
  border-radius: 4px !important;
}


@media screen and (max-width:900px) {
  .custom-sns-row {
    flex-direction: column;
}

.custom-sns-row .sns-box {
width: 100%;
margin-bottom: 100px;
}
.custom-sns-row .sns-box:last-child {
  margin-bottom: 30px;

}
}